

namespace Hawkeye.VisionBuilder.Workflow.Datatypes.Elements.Rectangle;

public class RectangleAnchorNode:INode
{
    private readonly RectangleElement _owner;

    public RectangleAnchorNode(RectangleElement owner)
    {
        _owner = owner;
    }

    public void SetPosition(Vector2 position)
    {
        
        _owner.Location=position-_owner.Offset;
        
    }
}